<html lang="en">
<head>
<title>Invoke - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Install.html#Install" title="Install">
<link rel="next" href="Entity-manager.html#Entity-manager" title="Entity manager">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Invoke"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Entity-manager.html#Entity-manager">Entity manager</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Install.html#Install">Install</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">3 How to invoke PSGML</h2>

<p><a name="index-invoke-6"></a><a name="index-start-up-7"></a><a name="index-major-mode-8"></a>
<a name="index-sgml_002dmode-9"></a>PSGML defines major modes called <code>sgml-mode</code> and <code>xml-mode</code>. 
Files with extensions <samp><span class="file">.sgml</span></samp>, <samp><span class="file">.sgm</span></samp> or <samp><span class="file">.dtd</span></samp> will
automatically be edited in SGML mode.  To edit some other file in SGML
mode, type <kbd>M-x sgml-mode &lt;RET&gt;</kbd> after finding the file. 
To edit XML files, type <kbd>M-x xml-mode &lt;RET&gt;</kbd>.

   <p>If you can modify the file you can add a <dfn>Local Variables</dfn> list
(see <a href="../emacs/file-variables.html#file-variables">Local Variables in Files</a>) to the end of the file.  This can make Emacs
automatically set sgml mode and user options when the file is loaded. 
The simplest Local Variables list would look like:

<pre class="example">     &lt;!--
     Local Variables:
     mode: sgml
     End:
     --&gt;
</pre>
   <p>You can also put a line at the top of the file to tell emacs to use sgml
mode:

<pre class="example">     &lt;!-- -*- sgml -*- --&gt;
</pre>
   <p>For XML replace `<samp><span class="samp">sgml</span></samp>' with `<samp><span class="samp">xml</span></samp>' in the above examples. 
But remember that you can't have a comment before the <em>SGML
declaration</em> or the <em>XML declaration</em>.

<!--  -->
</body></html>

